Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx
Enum JXLoginPane.Status

    java.lang.Object
      java.lang.Enum<JXLoginPane.Status>
          org.jdesktop.swingx.JXLoginPane.Status

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JXLoginPane.Status>

Enclosing class:
  JXLoginPane

    public static enum JXLoginPane.Status

extends java.lang.Enum<JXLoginPane.Status>

Returns the status of the login process

Enum Constant Summary
`CANCELLED`
`FAILED`
`IN_PROGRESS`
`NOT_STARTED`
`SUCCEEDED`

Method Summary
`static JXLoginPane.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JXLoginPane.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOT_STARTED

    public static final JXLoginPane.Status NOT_STARTED

### IN_PROGRESS

    public static final JXLoginPane.Status IN_PROGRESS

### FAILED

    public static final JXLoginPane.Status FAILED

### CANCELLED

    public static final JXLoginPane.Status CANCELLED

### SUCCEEDED

    public static final JXLoginPane.Status SUCCEEDED

Method Detail

### values

    public static JXLoginPane.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JXLoginPane.Status c : JXLoginPane.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JXLoginPane.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.